OGRE: Ogre::HardwareBufferManagerBase::VertexBufferLicense Class Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::HardwareBufferManagerBase::VertexBufferLicense Class Reference

Struct holding details of a license to use a temporary shared buffer. More...

`#include <OgreHardwareBufferManager.h>`

List of all members.

## Public Member Functions
| VertexBufferLicense (HardwareVertexBuffer *orig, BufferLicenseType ltype, size_t delay, HardwareVertexBufferSharedPtr buf, HardwareBufferLicensee *lic)
## Public Attributes
HardwareVertexBuffer * | originalBufferPtr
BufferLicenseType | licenseType
size_t | expiredDelay
HardwareVertexBufferSharedPtr | buffer
HardwareBufferLicensee * | licensee

## Detailed Description

Struct holding details of a license to use a temporary shared buffer.

Definition at line 163 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::HardwareBufferManagerBase::VertexBufferLicense::VertexBufferLicense | ( | HardwareVertexBuffer * | orig,
|  | BufferLicenseType | ltype,
|  | size_t | delay,
|  | HardwareVertexBufferSharedPtr | buf,
|  | HardwareBufferLicensee * | lic |
| ) |  |  |

Definition at line 171 of file OgreHardwareBufferManager.h.

## Member Data Documentation

HardwareVertexBufferSharedPtr Ogre::HardwareBufferManagerBase::VertexBufferLicense::buffer

Definition at line 169 of file OgreHardwareBufferManager.h.

size_t Ogre::HardwareBufferManagerBase::VertexBufferLicense::expiredDelay

Definition at line 168 of file OgreHardwareBufferManager.h.

HardwareBufferLicensee* Ogre::HardwareBufferManagerBase::VertexBufferLicense::licensee

Definition at line 170 of file OgreHardwareBufferManager.h.

BufferLicenseType Ogre::HardwareBufferManagerBase::VertexBufferLicense::licenseType

Definition at line 167 of file OgreHardwareBufferManager.h.

HardwareVertexBuffer* Ogre::HardwareBufferManagerBase::VertexBufferLicense::originalBufferPtr

Definition at line 166 of file OgreHardwareBufferManager.h.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55